# 
# RiskScape™ Copyright New Zealand Institute for Earth Science Limited
# (Earth Sciences New Zealand) is distributed for research purposes only
# under the terms of AGPLv3.
# 
# RiskScape™ Copyright 2026 New Zealand Institute for Earth Science
# Limited (Earth Sciences New Zealand). All rights reserved. Source code
# available under the AGPLv3.
# 
# This program is free software: you can redistribute it and/or modify it under
#  the terms of the GNU Affero General Public License as published by the Free
#  Software Foundation, either version 3 of the License, or (at your option) any
#  later version.
# 
# This program is distributed for RESEARCH PURPOSES ONLY, in the hope that it will
# be useful for research and education initiatives.
# 
# If you are not a researcher, or you are a researcher who wishes to use this
# program on terms other than AGPLv3 (including those who wish to restrict the
# distribution of any source code created using this program), please contact:
# https://riskscape.org.nz
# 
# This program is distributed WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Affero General Public License for more details.  You should have received a copy
# of the GNU Affero General Public License along with this program.  If not, see
# <http://www.gnu.org/licenses/>.
# 
# By way of summary only, under the AGPLv3:
#     • Permissions of this strongest copyleft license are conditioned
#       on making available complete source code of licensed works and
#       modifications, which include larger works using a licensed work,
#       under the same license.
#     • Copyright and license notices must be preserved.
#     • Contributors provide an express grant of patent rights.
#     • When a modified version is used to provide a service over a
#       network, the complete source code of the modified version must be made
#       available.
# 

# messages from the cli-prompter

cli.could-not-bind = \
  Could not convert your response in to a value the wizard can use.  Please check your input ({0}) and try again.


question.title.fallback = \
  Enter a value of type {1} for question ''{0}''

#
# BooleanExpressionAsker labels
#

nz.org.riskscape.wizard.ask.BooleanExpressionAsker.Messages.CHOOSE_COMPARISON = \
  Choose the comparison operator, i.e. how to find matching data.

nz.org.riskscape.wizard.ask.BooleanExpressionAsker.Comparison.EQUAL = \
  = (find an exact match)

nz.org.riskscape.wizard.ask.BooleanExpressionAsker.Comparison.NOT_EQUAL = \
  != (match everything except for a specific value)

nz.org.riskscape.wizard.ask.BooleanExpressionAsker.Messages.ADD_ANOTHER_VALUE = \
  Do you want to add another value?

nz.org.riskscape.wizard.ask.BooleanExpressionAsker.Messages.TOO_MANY_CHOICES = \
  There {0} known choices. Do you want to enter text manually or choose from a list of {0} items?

nz.org.riskscape.wizard.ask.BooleanExpressionAsker.ValueEntryMode.ENTER_VALUE = \
  Enter the value manually

nz.org.riskscape.wizard.ask.BooleanExpressionAsker.ValueEntryMode.PAGED_LIST = \
  Choose the value from a list

nz.org.riskscape.wizard.ask.BooleanExpressionAsker.Messages.ENTER_VALUE = \
  Enter the value to compare against:

nz.org.riskscape.wizard.ask.BooleanExpressionAsker.Messages.CHOOSE_VALUE = \
  Choose the value to compare against:

nz.org.riskscape.wizard.ask.BooleanExpressionAsker.Messages.BY_ATTRIBUTE_DISCLAIMER = \
  Note that only attributes that have a text or numeric value are listed below.

# Expression asker labels
nz.org.riskscape.wizard.ask.ExpressionAsker.Messages.ANSWER_TYPE = \
  How do you want to supply the {0} or expression?

nz.org.riskscape.wizard.ask.ExpressionAsker.AnswerType.INTERACTIVELY = \
  Help me build an expression interactively in the wizard

nz.org.riskscape.wizard.ask.ExpressionAsker.AnswerType.CUSTOM = \
  I will type it in myself

nz.org.riskscape.wizard.ask.ExpressionAsker.Messages.ENTER_EXPRESSION = \
  Enter the {0} or expression

nz.org.riskscape.wizard.ask.ExpressionAsker.Messages.CHOOSE_ATTRIBUTE = \
  Choose the attribute to use:

nz.org.riskscape.wizard.ask.AttributeAsker.Messages.RENAME_YES_NO = \
  Do you want to rename this attribute?

nz.org.riskscape.wizard.ask.AttributeAsker.Messages.ENTER_NEW_NAME = \
  Enter the new name the attribute should have:

nz.org.riskscape.wizard.ask.AggregationFunctionPrototypeAsker.Messages.NO_SUITABLE_DEFINED = \
 There are no suitable {0}s defined for your project

# This is a pickled question in the list of possible question when all can be skipped
question.cli.skip.title = Skip
